/****************************************************************************
 * (c) 2019 softwareentwicklung-als-prozess.de
 * Funktionalitaet:
 * Messwerte auf einem i2c Display mit zwei Zeilen a 16 Zeichen ausgeben
 ***************************************************************************/
// Includes -----------------------------------------------------------------
#include <arduino.h>
#include <Wire.h>  
#include <LiquidCrystal_I2C.h>
#include "i2c_adressen.h"
#include "i2clcd.h"
 
// Variablen -----------------------------------------------------------------
LiquidCrystal_I2C lcd_links(I2C_LCD_DISPLAY_LINKS, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);  
LiquidCrystal_I2C lcd_rechts(I2C_LCD_DISPLAY_RECHTS, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);  
// interne Variable
static byte blck[8] = {B11111, B11111, B11111, B11111, B11111, B11111, B11111, B11111};

// Funktionen ----------------------------------------------------------------
void i2clcd_Setup(void)
{
  uint8_t i = (uint8_t)0;

  // linkes LCD Display
  lcd_links.begin(16,2);
  lcd_links.createChar(1, blck);
  lcd_links.clear();
  lcd_links.backlight();
  lcd_links.setCursor(0,0);
  lcd_links.print("**** SEaP: *****");
  lcd_links.setCursor(0,1);
  lcd_links.print("----------------");
  // rechtes LCD Display
  lcd_rechts.begin(16,2);
  lcd_rechts.createChar(1, blck);
  lcd_rechts.clear();
  lcd_rechts.backlight();
  lcd_rechts.setCursor(0,0);
  lcd_rechts.print("**** SEaP: *****");
  lcd_rechts.setCursor(0,1);
  lcd_rechts.print("----------------");
  delay(3000);
  lcd_links.clear();
  lcd_rechts.clear();
}

void i2clcd_Clear_All(void)
{
  lcd_links.clear();
  lcd_rechts.clear();  
}

void i2clcd_Write_Links(uint8_t line, char* txt)
{
  switch(line)
  {
    case I2CLCD_LINE1:
      lcd_links.setCursor(0,0);
      break;
    case I2CLCD_LINE2:
      lcd_links.setCursor(0,1);
      break;
  }
  lcd_links.print(txt);
}

void i2clcd_Write_Rechts(uint8_t line, char* txt)
{
  switch(line)
  {
    case I2CLCD_LINE1:
      lcd_rechts.setCursor(0,0);
      break;
    case I2CLCD_LINE2:
      lcd_rechts.setCursor(0,1);
      break;
  }
  lcd_rechts.print(txt);
}
